<mat-toolbar matDialogTitle class="{{secondColorBrand}} m-0">
  <mat-toolbar-row fxLayout="row" fxLayoutAlign="space-between center">
    <span class="title dialog-title h1">Editar Veículo</span>
  </mat-toolbar-row>
</mat-toolbar>
<br>
<form [formGroup]="vehicleForm" (ngSubmit)="updateVehicle(vehicleForm.value)"
  novalidate>
  <mat-dialog-content>

    <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
      <mat-form-field fxFlex="100">
        <mat-select placeholder="Marca" formControlName="manufacture"
          (selectionChange)="changeModel($event.value,null)" required
          *ngIf="vehicleForm.value.type !== 'TRAILER' && vehicleForm.value.type
          !== 'BOAT'">
          <mat-option *ngFor="let manufacture of manufacturesList"
            [value]="manufacture['id']">
            {{manufacture['name']}}
          </mat-option>
        </mat-select>
        <input matInput placeholder="Marca" formControlName="manufacture"
          required *ngIf="vehicleForm.value.type === 'TRAILER' ||
          vehicleForm.value.type === 'BOAT'">
      </mat-form-field>
    </div>

    <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
      <mat-form-field fxFlex="100">
        <mat-select placeholder="Modelo" formControlName="model"
          (selectionChange)="changeYears($event.value,null)"
          *ngIf="vehicleForm.value.type !== 'TRAILER' && vehicleForm.value.type
          !== 'BOAT'">
          <mat-option *ngFor="let model of modelsList" [value]="model['id']">
            {{model['name']}}
          </mat-option>
        </mat-select>
        <input matInput placeholder="Modelo" formControlName="model" required
          *ngIf="vehicleForm.value.type === 'TRAILER' || vehicleForm.value.type
          === 'BOAT'">
      </mat-form-field>
    </div>

    <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
      <mat-form-field fxFlex="100">
        <mat-select placeholder="Ano do modelo" formControlName="modelYear"
          (selectionChange)="changeVehicle($event.value)" required
          *ngIf="vehicleForm.value.type !== 'TRAILER' && vehicleForm.value.type
          !== 'BOAT'">
          <mat-option *ngFor="let model of yearsList"
            [value]="model['idModeloAno']">
            {{model['name']}}
          </mat-option>
        </mat-select>
        <input matInput placeholder="Ano do modelo" formControlName="modelYear"
          required *ngIf="vehicleForm.value.type === 'TRAILER' ||
          vehicleForm.value.type === 'BOAT'">
      </mat-form-field>
    </div>

    <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
      <mat-form-field fxFlex="100">
        <mat-select placeholder="Ano de fabricação"
          formControlName="registrationYear" required
          *ngIf="vehicleForm.value.type !== 'TRAILER' && vehicleForm.value.type
          !== 'BOAT'">
          <mat-option *ngFor="let year of registrationYearList" [value]="year">
            {{year}}
          </mat-option>
        </mat-select>
        <input matInput placeholder="Ano de fabricação"
          formControlName="registrationYear" required
          *ngIf="vehicleForm.value.type === 'TRAILER' || vehicleForm.value.type
          === 'BOAT'">
      </mat-form-field>
    </div>

    <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
      <mat-form-field fxFlex="100">
        <input matInput [textMask]="{mask: licensePlateMask}"
          placeholder="Placa" required formControlName="licensePlate">
        <mat-hint>Ex: AAA9999</mat-hint>
      </mat-form-field>
    </div>

    <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
      <mat-form-field fxFlex="100">
        <input matInput placeholder="Chassi" required formControlName="chassi">
      </mat-form-field>
    </div>


    <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
      <mat-form-field fxFlex="100">
        <input matInput placeholder="Cor" required formControlName="color">
        <mat-error *ngIf="vehicleForm.get('color').hasError('required')">
          Por favor, informe uma cor
        </mat-error>
      </mat-form-field>
    </div>

    <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
      <mat-form-field fxFlex="100">
        <mat-select placeholder="Marca" formControlName="brand">
          <mat-option *ngFor="let brand of brandList" [value]="brand['id']">
            {{brand['name']}}
          </mat-option>
        </mat-select>
      </mat-form-field>
    </div>

    <br>

    <div class="panel-title" [ngClass]="secondColorBrand" *ngIf="device &&
      device.model">
      <mat-icon class="white-fg">gps_fixed</mat-icon>
      <span class="white-fg">&nbsp;Rastreador</span>
    </div>

    <div class="panel-content" *ngIf="device && device.model">
      <form [formGroup]="deviceForm">
        <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
          <mat-form-field fxFlex="50">
            <input matInput placeholder="Modelo" formControlName="model"
              required style="color: black">
          </mat-form-field>

          <mat-form-field fxFlex="50">
            <input matInput placeholder="Status" formControlName="status"
              required style="color: black">
          </mat-form-field>
        </div>

        <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
          <mat-form-field fxFlex="33">
            <input matInput placeholder="Operadora" formControlName="operator"
              required style="color: black">
          </mat-form-field>

          <mat-form-field fxFlex="34">
            <input matInput placeholder="Número" formControlName="number"
              required style="color: black">
          </mat-form-field>

          <mat-form-field fxFlex="33">
            <input matInput placeholder="Sim-Card" formControlName="simCard"
              required style="color: black">
          </mat-form-field>
        </div>

        <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
          <mat-form-field fxFlex="33">
            <input matInput placeholder="Id" formControlName="id" required
              style="color: black">
          </mat-form-field>

          <mat-form-field fxFlex="33">
            <input matInput placeholder="Identificador"
              formControlName="identifier" required style="color: black">
          </mat-form-field>

          <mat-form-field fxFlex="34">
            <input matInput placeholder="imei" formControlName="imei" required
              style="color: black">
          </mat-form-field>
        </div>

      </form>
    </div>

    <br *ngIf="device && device.model">

  </mat-dialog-content>
  <mat-divider></mat-divider>
  <mat-dialog-actions position="end">
    <button mat-raised-button color="warn" mat-dialog-close>Cancelar</button>
    <button mat-raised-button [disabled]="vehicleForm.invalid" color="primary">Salvar</button>
  </mat-dialog-actions>
</form>